#!/bin/bash
while ! ping -c 1 -W 1 1.1.1.1; do
    echo "Waiting for 1.1.1.1 - network interface might be down..."
    sleep 1
done
curl --max-time 5.5 "http://{{ printer_coordinator }}/api/printers/announce/{{ inventory_hostname }}/{{ octoprint_access_key }}"
